org.eclipse.gef

## Interface MouseWheelHelper

All Known Implementing Classes:
  ViewportMouseWheelHelper

    public interface MouseWheelHelper

MouseWheelHelpers provide each EditPart to handle mouse-wheel events in their own desired way. By default, when mouse-wheel events are generated that have no stateMask, a default `MouseWheelHandler` delegates the task to the MouseWheelHelper that is returned by the getAdapter() method of the EditPart in focus.

The most common usage of MouseWheelHelpers involves scrolling of an EditPart's figure. They should be returned in the EditPart's getAdapter() method.

Since:
  3.1
See Also:
  `ViewportMouseWheelHelper`

### Method Summary

Methods
`void` `handleMouseWheelScrolled(Event event)` Handles mouse-wheel events.

### Method Detail

#### handleMouseWheelScrolled

    void handleMouseWheelScrolled(Event event)

Handles mouse-wheel events. If the given event was handled in some way, its `doit` field should be set to false so as to prevent further processing of that event.

Parameters:
  `event` - The SWT event that was generated as a result of the mouse-wheel scrolling